Package com.smartgwt.client.bean.types

# Class PFloatArrayValueType

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.ArrayValueType<float[]>
com.smartgwt.client.bean.types.PFloatArrayValueType

public class PFloatArrayValueType extends ArrayValueType<float[]>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PFloatArrayValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected float[]`
  `convertFrom(boolean[] array)`
  `protected float[]`
  `convertFrom(double[] array)`
  `protected float[]`
  `convertFrom(float[] array)`
  `protected float[]`
  `convertFrom(int[] array)`
  `protected float[]`
  `convertFrom(long[] array)`
  `protected float[]`
  `convertFrom(Object[] array)`
  `protected Class`
  `getValueType()`
  `static void`
  `registerValueType()`

  ### Methods inherited from class com.smartgwt.client.bean.types.ArrayValueType

  `convertabilityFrom, convertabilityFromPrimitiveArray, convertabilityToComponentType, convertFrom, convertFromPrimitiveArray, getComponentType, getComponentValueType, isAssignableFrom, leastConvertabilityToComponentType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PFloatArrayValueType

    public PFloatArrayValueType()

- ## Method Details

  - ### registerValueType

    public static void registerValueType()

  - ### getValueType

    protected Class getValueType()
    Specified by:
      `getValueType` in class `BeanValueType<float[]>`

  - ### convertFrom

    protected float[] convertFrom(Object[] array)
    Specified by:
      `convertFrom` in class `ArrayValueType<float[]>`

  - ### convertFrom

    protected float[] convertFrom(boolean[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<float[]>`

  - ### convertFrom

    protected float[] convertFrom(double[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<float[]>`

  - ### convertFrom

    protected float[] convertFrom(float[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<float[]>`

  - ### convertFrom

    protected float[] convertFrom(int[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<float[]>`

  - ### convertFrom

    protected float[] convertFrom(long[] array)
    Overrides:
      `convertFrom` in class `ArrayValueType<float[]>`